Bug 1315257 - Globally uncaught exception shown in the RHQ UI when trying to add/edit users
Globally uncaught exception shown in the RHQ UI when trying to add/edit users
Status: ON_QA
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.13
x86_64 Linux
unspecified Severity high (vote)
: ---
: RHQ 4.14
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 06:48 EST by Szymon Zielinski
Modified: 2016-11-22 04:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
User details that result in the exception (152.34 KB, image/png)
2016-03-07 06:48 EST, Szymon Zielinski
no flags Details
exception stack trace in txt format (3.55 KB, text/plain)
2016-03-07 06:50 EST, Szymon Zielinski
no flags Details

  None (edit)
Description Szymon Zielinski 2016-03-07 06:48:56 EST
Created attachment 1133713 [details]
User details that result in the exception

Description of problem:
When adding a new user or editing an existing one through the GUI a globally uncaught exception is thrown after the Save button is pressed: "com.google.gwt.core.client.JavaScriptException:(TypeError) : Cannot read property 'getRecords' of null"

The user is created/updated but the page doesn't redirect back to the list of users and the aforementioned exception is thrown. 

Version-Release number of selected component (if applicable):
4.13.1

How reproducible:
Always

Steps to Reproduce:
1. Login as rhqadmin/rhqadmin
2. Administration > Users
3. New
4. Fill in the required fields with any values (see attached screenshot if specifics needed)
5. Save

Actual results:
User created/updated, but a Globally uncaught exception is also thrown; does not redirect back to the Users page.

Expected results:
"User created/updated" message; redirects back to the Users page.

Additional info:
- This exception only appears on the UI - there is nothing in the server.log.
- Editing details for rhqadmin works as expected, but editing any other user results in the exception (possible that something goes wrong on initial creation and propagates on attempts to edit).
- Tested on Chrome, IE 11, and Firefox 43.0.4

Message :	Globally uncaught exception
Severity :	Error

Time :	Monday, March 7, 2016 11:28:05 AM UTC
Root Cause :	(TypeError) : Cannot read property 'getRecords' of null
Detail :	
com.google.gwt.core.client.JavaScriptException:(TypeError) : Cannot read property 'getRecords' of null
--- STACK TRACE FOLLOWS ---
(TypeError) : Cannot read property 'getRecords' of null
   at Unknown.$getIntegerList(<anonymous>@58)
   at Unknown.postSaveAction_0(<anonymous>@18)
   at Unknown.execute_47(<anonymous>@17)
   at Unknown.<anonymous>(<anonymous>@34)
   at Unknown.apply(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@21)
   at Unknown.entry0(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@16)
   at Unknown.$40c(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@14)
   at Unknown.isc_c_Class_fireCallback(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_Core.js@49)
   at Unknown.isc_Class_fireCallback(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_Core.js@89)
   at Unknown.isc.EditorActionMethods.addInterfaceMethods.formSavedComplete(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_DataBinding.js@20)
   at Unknown.isc.EditorActionMethods.addInterfaceMethods.$49z(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_DataBinding.js@49)
   at Unknown.eval(eval at <anonymous> (http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_Core.js@72)
   at Unknown.isc_c_Class_fireCallback(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_Core.js@49)
   at Unknown.isc_Class_fireCallback(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_Core.js@89)
   at Unknown.isc_DataSource_fireResponseCallbacks(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_DataBinding.js@13)
   at Unknown.isc_DataSource__completeResponseProcessing(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_DataBinding.js@6)
   at Unknown.isc_DataSource_processResponse(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/sc/modules/ISC_DataBinding.js@6)
   at Unknown.$processResponse(<anonymous>@10)
   at Unknown.$processResponse_0(<anonymous>@3)
   at Unknown.$sendSuccessResponse(<anonymous>@3)
   at Unknown.$onSuccess_117(<anonymous>@3)
   at Unknown.onSuccess_122(<anonymous>@3)
   at Unknown.$onResponseReceived(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@34)
   at Unknown.onResponseReceived_4(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@7)
   at Unknown.$fireOnResponseReceived(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@14)
   at Unknown.onReadyStateChange_0(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@5)
   at Unknown.<anonymous>(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@13)
   at Unknown.apply(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@21)
   at Unknown.entry0(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@16)
   at Unknown.<anonymous>(http://192.168.33.10:7080/coregui/org.rhq.coregui.CoreGUI/AA377C5C985D1B16B8B9285EA3D920BA.cache.html@14)
Comment 1 Szymon Zielinski 2016-03-07 06:50 EST
Created attachment 1133714 [details]
exception stack trace in txt format
Comment 2 Jyothsna Padamata 2016-05-03 07:00:41 EDT
Can we have any update on this?
Comment 3 Vijay Kumar 2016-05-24 00:55:36 EDT
Hi All,

Could you please provide needful update on the request raised.?

It seems to be state/ status  is still 'Open'. Can any body explain why? Please.

Please let us know in case of any more details that you are expecting on the same.


Regards,
Vijay Kumar
Comment 4 Michael Burman 2016-05-26 12:03:11 EDT
Fixed in the master.
Comment 5 Ramana 2016-08-12 05:43:55 EDT
Any date on the delivery of 4.14 version?
Comment 6 Kranthi 2016-11-21 06:47:36 EST
Hi Michael Burman,
   Can you Please provide the change set in the rhq source code (Files changed)?
Regards,
Kranthi
Comment 7 Michael Burman 2016-11-21 09:46:10 EST
Commit d9b0b08ed29b056ed5ee25ef34e8fae06fde5cc1
Comment 8 Kranthi 2016-11-22 04:40:43 EST
Hi Michael,
    Thank you.. That was very helpul.
Regards,
Kranthi

Note You need to log in before you can comment on or make changes to this bug.